



pip check
IF %ERRORLEVEL% NEQ 0 exit /B 1
ipcluster --help
IF %ERRORLEVEL% NEQ 0 exit /B 1
ipcontroller --help
IF %ERRORLEVEL% NEQ 0 exit /B 1
ipengine --help
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter labextension list
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter server extension list
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter serverextension list
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter labextension list 1>labextensions 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter server extension list 1>server_extensions 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
jupyter serverextension list 1>serverextensions 2>&1
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -ie "ipyparallel-labextension.*v8\.4\.1.*OK" labextensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -ie "ipyparallel.*8\.4\.1.*OK" server_extensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
grep -ie "ipyparallel.*8\.4\.1.*OK" serverextensions
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
